<?PHP
#
#   FILE:  MetricsReporter.php
#
#   Part of the Collection Workflow Integration System (CWIS)
#   Copyright 2011 Edward Almasy and Internet Scout
#   http://scout.wisc.edu
#

class MetricsReporter extends Plugin {

    function Register()
    {
        $this->Name = "Metrics Reporter";
        $this->Version = "0.9.0";
        $this->Description = "Generates usage and web metrics reports"
                ." from data recorded by the Metrics Recorder plugin.";
        $this->Author = "Internet Scout";
        $this->Url = "http://scout.wisc.edu/cwis/";
        $this->Email = "scout@scout.wisc.edu";
        $this->Requires = array(
                "CWISCore" => "2.2.2",
                "MetricsRecorder" => "1.1.1");
        $this->EnabledByDefault = FALSE;
    }

    function Install()
    {
    }

    function HookEvents()
    {
        return array(
                "EVENT_COLLECTION_ADMINISTRATION_MENU" => "AddCollectionAdminMenuItems",
                );
    }

    function AddCollectionAdminMenuItems()
    {
        return array(
                "CollectionReports" => "Collection Usage Metrics",
                );
    }
}

?>
